# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.finance
Class PortfolioFeedLink

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Link
                  com.google.gdata.data.extensions.FeedLink<PositionFeed>
                      com.google.gdata.data.finance.PortfolioFeedLink

All Implemented Interfaces:
  Extension, ILink, Reference

    public class PortfolioFeedLink

extends FeedLink<PositionFeed>

Describes a portfolio feed link.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Link
`Link.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Nested classes/interfaces inherited from interface com.google.gdata.data.ILink
`ILink.Rel, ILink.Type`

Field Summary

Fields inherited from class com.google.gdata.data.extensions.FeedLink
`countHint, feed, feedClass, readOnly`

Fields inherited from class com.google.gdata.data.Link
`content, etag, href, hrefLang, length, rel, title, titleLang, type`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PortfolioFeedLink()` Default mutable constructor.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `toString()`

Methods inherited from class com.google.gdata.data.extensions.FeedLink
`generate, getCountHint, getDefaultDescription, getFeed, getFeedClass, getHandler, getReadOnly, getType, setCountHint, setFeed, setReadOnly, visitChildren`

Methods inherited from class com.google.gdata.data.Link
`generateAtom, generateRss, getContent, getEtag, getHref, getHrefLang, getLength, getRel, getTitle, getTitleLang, matches, setContent, setEtag, setHref, setHrefLang, setLength, setRel, setTitle, setTitleLang, setType`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortfolioFeedLink

    public PortfolioFeedLink()

  Default mutable constructor.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`